Create a shipping method
How to create a shipping method via API
To create a new shipping method, send a POST request to the /api/2026-05/shipping_methods endpoint, passing the resource arguments in the request body.
Request
POST https://yourdomain.commercelayer.io/api/2026-05/shipping_methods
Arguments
type
string
Required
attributes.name
string
Required
attributes.scheme
string
Optional, default is 'flat'
attributes.currency_code
string
Required, unless inherited by market
attributes.external_prices_url
string
Required, if external scheme
attributes.price_amount_cents
integer
Required
attributes.free_over_amount_cents
integer
Optional
attributes.use_subtotal
boolean
Optional, deafult is 'false'
attributes.min_weight
float
Optional
attributes.max_weight
float
Optional
attributes.unit_of_weight
string
Optional, unless min or max weight are specified
attributes.tax_code
string
Optional, default to tax calculator generic freight code
attributes._disable
boolean
Optional
attributes._enable
boolean
Optional
attributes.external_includes
array
Optional, default to resource specific list
attributes.reference
string
Optional
attributes.reference_origin
string
Optional
attributes.metadata
object
Optional
relationships.market
object
Optional
relationships.shipping_zone
object
Optional
relationships.shipping_category
object
Optional
relationships.stock_location
object
Optional
relationships.shipping_method_tiers
array
Optional
relationships.tags
array
Optional
Example
The following request creates a new shipping method:
On success, the API responds with a 201 Created status code, returning the created resource object:
Last updated